loci.plugins.prefs

## Class DoubleOption

- java.lang.Object
- - loci.plugins.prefs.Option
  - - loci.plugins.prefs.DoubleOption

-     public class DoubleOption
      extends Option

  A double option for one of the plugins.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected double` | `defaultValue` The option's default value.
    `protected double` | `value` The option's current value.

    - ### Fields inherited from class loci.plugins.prefs.Option

      `info, INI_DEFAULT, INI_INFO, INI_KEY, INI_LABEL, INI_SAVE, key, KEY_PREFIX, label, save`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoubleOption(java.util.HashMap<java.lang.String,java.lang.String> entry)` Constructs a double option with the parameters from the given map.
    `DoubleOption(java.lang.String key, boolean save, java.lang.String label, java.lang.String info, double defaultValue)` Constructs a double option with the given parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getDefault()` Gets the default value of the option.
    `double` | `getValue()` Gets the current value of the option.
    `void` | `loadOption()` Loads the option's value from the ImageJ preferences file.
    `void` | `parseOption(java.lang.String arg)` Parses the option's value from the given argument string.
    `void` | `saveOption()` Saves the option's value to the ImageJ preferences file.
    `void` | `setValue(double value)` Sets the current value of the option.

    - ### Methods inherited from class loci.plugins.prefs.Option

      `getInfo, getKey, getLabel, isSaved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### defaultValue

          protected double defaultValue

      The option's default value.

    - #### value

          protected double value

      The option's current value.

  - ### Constructor Detail

    - #### DoubleOption

          public DoubleOption(java.util.HashMap<java.lang.String,java.lang.String> entry)

      Constructs a double option with the parameters from the given map.

    - #### DoubleOption

          public DoubleOption(java.lang.String key,
                              boolean save,
                              java.lang.String label,
                              java.lang.String info,
                              double defaultValue)

      Constructs a double option with the given parameters.

  - ### Method Detail

    - #### getDefault

          public double getDefault()

      Gets the default value of the option.

    - #### getValue

          public double getValue()

      Gets the current value of the option.

    - #### setValue

          public void setValue(double value)

      Sets the current value of the option.

    - #### parseOption

          public void parseOption(java.lang.String arg)

      Description copied from class: `Option`
      Parses the option's value from the given argument string.
      Specified by:
        `parseOption` in class `Option`

    - #### loadOption

          public void loadOption()

      Description copied from class: `Option`
      Loads the option's value from the ImageJ preferences file.
      Specified by:
        `loadOption` in class `Option`

    - #### saveOption

          public void saveOption()

      Description copied from class: `Option`
      Saves the option's value to the ImageJ preferences file.
      Specified by:
        `saveOption` in class `Option`

Copyright © 2026 Open Microscopy Environment